## org.eclipse.emf.codegen.merge.java.facade
Interface JAnnotation

All Superinterfaces:
  JNode

All Known Implementing Classes:
  ASTJAnnotation

    public interface JAnnotation

extends JNode

Annotation as defined by JLS3 9.7.

Since:
  2.3.0
See Also:
  JLS3 Section 9.7

Method Summary
`void` `setContents(java.lang.String contents)` Overwrites the contents of the annotation with the given contents.

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Method Detail

### setContents

    void setContents(java.lang.String contents)

  Overwrites the contents of the annotation with the given contents.

  Parameters:
    `contents` -

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.